local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)


aom_statusfx = {}

aom_statusfx.registered_status_effects = {}

local version = "4"
if world_storage.get("aom_statusfx", "playerdata_version") == version then
    aom_statusfx.player_effects = world_storage.get("aom_statusfx", "playerdata") or {}
else
    world_storage.set("aom_statusfx", "playerdata_version", version)
    aom_statusfx.player_effects = {}
end

aom_statusfx.object_effects = {}

dofile(mod_path .. DIR_DELIM .. "hud.lua")
dofile(mod_path .. DIR_DELIM .. "api.lua")
dofile(mod_path .. DIR_DELIM .. "commands.lua")

dofile(mod_path .. DIR_DELIM .. "statuses" .. DIR_DELIM .. "regen.lua")
dofile(mod_path .. DIR_DELIM .. "statuses" .. DIR_DELIM .. "poison.lua")
dofile(mod_path .. DIR_DELIM .. "statuses" .. DIR_DELIM .. "woozy.lua")
dofile(mod_path .. DIR_DELIM .. "statuses" .. DIR_DELIM .. "featherfalling.lua")
dofile(mod_path .. DIR_DELIM .. "statuses" .. DIR_DELIM .. "glowing.lua")
dofile(mod_path .. DIR_DELIM .. "statuses" .. DIR_DELIM .. "burning.lua")
dofile(mod_path .. DIR_DELIM .. "statuses" .. DIR_DELIM .. "speed.lua")
dofile(mod_path .. DIR_DELIM .. "statuses" .. DIR_DELIM .. "blindness.lua")
